library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_signed.all;

package picpak is
	function addum(A : std_logic_vector; B : std_logic_vector) return std_logic_vector;
end package;

package body picpak is
	function max(L, R: INTEGER) return INTEGER is
	    begin
			if L > R then
   		 	return L;
			else
    			return R;
			end if;
    end;
	
	function addum(A :  std_logic_vector; B : std_logic_vector) return std_logic_vector is
		variable length : integer;
		begin
			length:=max(A'length, B'length);
			return sxt((A + B), length + 1);
	end function;
end package body;
